org.eclipse.ecf.provider.zookeeper

## Class DiscoveryActivator

- java.lang.Object
- - org.eclipse.ecf.provider.zookeeper.DiscoveryActivator

All Implemented Interfaces:
  BundleActivator

    public class DiscoveryActivator
    extends Object
    implements BundleActivator

### Constructor Summary

Constructors
Constructor and Description
`DiscoveryActivator()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static BundleContext` `getContext()`
`static void` `registerBundleStoppingListner(org.eclipse.ecf.provider.zookeeper.core.internal.BundleStoppingListener l)`
`void` `start(BundleContext ctxt)`
`void` `stop(BundleContext c)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiscoveryActivator

    public DiscoveryActivator()

### Method Detail

#### start

    public void start(BundleContext ctxt)

Specified by:
  `start` in interface `BundleActivator`

#### stop

    public void stop(BundleContext c)
              throws Exception

Specified by:
  `stop` in interface `BundleActivator`
Throws:
  `Exception`

#### getContext

    public static BundleContext getContext()

#### registerBundleStoppingListner

    public static void registerBundleStoppingListner(org.eclipse.ecf.provider.zookeeper.core.internal.BundleStoppingListener l)